#
# spec file for package python-gudev
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-gudev
Version:        147.2
Release:        12.3
Summary:        Python bindings to GUDev
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/nzjrs/python-gudev
Source:         %{name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(pygobject-2.0)
Requires:       python-gobject2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _defsdir %(pkg-config --variable=defsdir pygobject-2.0)

%description
Python (PyGObject) bindings to the GUDev library.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{python_sitearch}/gudev.so
%{_defsdir}/gudev.defs

%changelog
* Thu Apr 23 2015 mantel@suse.de
- python-gudev requires python-gobject2 (bnc#928304)
* Tue Oct  4 2011 dimstar@opensuse.org
- Initial package, version 147.2.
